%global momorel 1

Summary: SVG module for perl (/opt/Momonga/momonga/PKGS/SOURCES)
Name: perl-SVG
Version: 2.44
Release: %{momorel}m%{?dist}
License: GPL
Group: Development/Languages
Source0: http://www.cpan.org/modules/by-module/SVG/SVG-%{version}.tar.gz
NoSource: 0
URL: http://www.cpan.org/modules/by-module/SVG/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildPreReq: perl >= 1:5.8.1
BuildArch: noarch

%description
SVG module for perl

%prep
%setup -q -n SVG-%{version} 

%build
CFLAGS="%{optflags}" perl Makefile.PL INSTALLDIRS=vendor
make


%clean 
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
make install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot}%{perl_vendorarch}/auto -name '.packlist' | xargs rm -f

find %{buildroot}/usr -type f -print | \
	sed "s@^%{buildroot}@@g" | \
	grep -v perllocal.pod | \
	sed -e 's,\(.*/man/.*\),\1*,' | \
	grep -v "\.packlist" > SVG-%{version}-filelist
if [ "$(cat SVG-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f SVG-%{version}-filelist
%defattr(-,root,root)
%doc Changes README* 

%changelog
* Tue Apr 22 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.44-1m)
- update to 2.44

* Sat Apr 19 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.42-1m)
- update to 2.42

* Tue Apr 15 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.40-1m)
- update to 2.40

* Mon Apr 14 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.39-1m)
- update to 2.39

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.37-2m)
- rebuild against gcc43

* Tue Mar  4 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.37-1m)
- update to 2.37

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.36-1m)
- update to 2.36

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.34-1m)
- update to 2.34

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.33-3m)
- use vendor

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.33-2m)
- built against perl-5.8.8

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.33-1m)
- version up to 2.33
- built against perl-5.8.7

* Mon May 16 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.32-1m)
- spec file was autogenerated

